ghc-7.6.3: The GHC API

Safe Haskell | None

RnPat

# Documentation

rnPat :: HsMatchContext Name -> LPat RdrName -> (LPat Name -> RnM (a, FreeVars)) -> RnM (a, FreeVars)

rnPats :: HsMatchContext Name -> [LPat RdrName] -> ([LPat Name] -> RnM (a, FreeVars)) -> RnM (a, FreeVars)

rnBindPat :: NameMaker -> LPat RdrName -> RnM (LPat Name, FreeVars)

data NameMaker

applyNameMaker :: NameMaker -> Located RdrName -> RnM Name

localRecNameMaker :: MiniFixityEnv -> NameMaker

topRecNameMaker :: MiniFixityEnv -> NameMaker

rnHsRecFields1 :: forall arg. HsRecFieldContext -> (RdrName -> arg) -> HsRecFields RdrName (Located arg) -> RnM ([HsRecField Name (Located arg)], FreeVars)

data HsRecFieldContext

Constructors

HsRecFieldCon Name |
HsRecFieldPat Name |
HsRecFieldUpd |

rnLit :: HsLit -> RnM ()

rnOverLit :: HsOverLit t -> RnM (HsOverLit Name, FreeVars)

checkTupSize :: Int -> RnM ()

patSigErr :: Outputable a => a -> SDoc